<div fxLayout fxLayoutAlign="center center">
  <mat-form-field fxFlex="40%">
    <input matInput type="text" (keyup)="applyFilter($event)" placeholder="Filter">
  </mat-form-field>
</div>

<table mat-table [dataSource]="personas" matSort (matSortChange)="announceSortChange($event)"
class="mat-elevation-z8">

    <ng-container matColumnDef="id">
      <th mat-header-cell *matHeaderCellDef mat-sort-header sortActionDescription="Sort by id"> No. </th>
      <td mat-cell *matCellDef="let element"> {{element.id}} </td>
    </ng-container>
  
    <ng-container matColumnDef="nombre">
      <th mat-header-cell *matHeaderCellDef mat-sort-header sortActionDescription="Sort by nombre"> Nombre </th>
      <td mat-cell *matCellDef="let element"> {{element.nombre}} </td>
    </ng-container>
  
    <ng-container matColumnDef="apellido">
      <th mat-header-cell *matHeaderCellDef mat-sort-header sortActionDescription="Sort by apellido"> Apellido </th>
      <td mat-cell *matCellDef="let element"> {{element.apellido}} </td>
    </ng-container>
  
    <ng-container matColumnDef="dni">
      <th mat-header-cell *matHeaderCellDef mat-sort-header sortActionDescription="Sort by dni"> DNI </th>
      <td mat-cell *matCellDef="let element"> {{element.dni}} </td>
    </ng-container>
  
    <ng-container matColumnDef="fechaNacimiento">
      <th mat-header-cell *matHeaderCellDef  mat-sort-header sortActionDescription="Sort by fechaNacimiento"> Fecha de Nacimiento </th>
      <td mat-cell *matCellDef="let element"> {{element.fechaNacimiento}} </td>
    </ng-container>

    <ng-container matColumnDef="Opciones">
      <th mat-header-cell *matHeaderCellDef> Opciones </th>
      <td mat-cell *matCellDef="let element">
        <a matTooltip="Ver detalles">
          <mat-icon color="primary">search</mat-icon>
        </a>
        <a matTooltip="Eliminar" (click)="eliminar(element.id)">
          <mat-icon style="color: red;">delete</mat-icon>
        </a>
        <a matTooltip="Actualizar" style="color: green;" (click)="modificar(element.id)">
          <mat-icon>edit</mat-icon>
        </a>
        
      </td>
    </ng-container>
  
    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
  </table>
  <mat-paginator [pageSizeOptions]="[5, 10, 20]"
                 showFirstLastButtons
                 aria-label="Select page of periodic elements">
  </mat-paginator>
  <button mat-raised-button color="primary" (click)="registrar()">REGISTRAR</button>
